$.fn.addLoader = function () {
    var $loader = $("<img/>").attr("src", "static/img/loading_dots.gif").attr("width", "25px").addClass("loader");
    return this.each(function () {
        if (($(this).children(".loader")).length === 0) {
            $(this).append($loader);
        }
    });
};

$(function () {
    "use strict";
    function check_initialization_status() {
        $("#Initializing").addLoader().show()
            $.ajax("/stereo/startup_time", {
                cache: false,
                success: function () {
                        var host = window.location.host,
                            url = "http://" + host + "/stereo";
                        window.open(url, "_self");
                },
                error: function() {
                    setTimeout(check_initialization_status, 2000);
                }
            });
    }
    check_initialization_status();
});
